#
#  Copyright (c) 2005 Advanced Micro Devices, Inc.
#
#  See the file "license.amd" for information on usage and
#  redistribution of this file, and for a DISCLAIMER OF ALL
#   WARRANTIES.
#
#  RCS: @(#) $Id: nameproc.tcl,v 1.1 2005/12/20 23:00:11 mdejong Exp $
#
#

# The nameproc module is used to generate a Java class
# name for a Tcl proc. The nameproc module is used by the
# parseproc module, but the lifetime of the names must
# cover multiple parseproc usages so that proc names
# don't conflict.

TJC::command nameproc_init tjc.NameprocInitCmd
#
#
#
#
#
#
#
#

# Return a fully qualified class name for a given
# Tcl proc name. If the Tcl proc would generate a
# duplicate name, then generate a new unique one.

TJC::command nameproc_generate tjc.NameprocGenerateCmd
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#


# Given a Tcl proc name, generate a Java class name
# that corresponds to the Tcl proc.

TJC::command nameproc_class_name tjc.NameprocClassNameCmd
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#

# Given the name of a Java package and the name of a Java
# class for a given command, return the fully qualified
# class name.

TJC::command nameproc_full_class_name tjc.NameprocFullClassNameCmd
#
#
#
#
#
#


